
GammaLib - Action #265

Feature # 226 (Closed): Parallelize maximum likelihood computation

Validate parallelization of GammaLib

07/02/2012 12:16 PM - Knödlseder Jürgen

Status: Closed Start date: 06/16/2012

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 35.00 hours

Target version: Stage Jean-Baptiste Cayrou   

Description

Related issues:

Blocked by GammaLib - Action # 264: Implement code parallelization in GammaLib Closed 06/16/2012

History

#1 - 07/02/2012 12:18 PM - Knödlseder Jürgen

- Estimated time set to 35.00

- Remaining (hours) set to 35.0

The implementation of code parallelization in GammaLib should be validated.

For this purpose a specific test program should be written, that should be added to the GammaLib test suite.

The test program should verify that:

code parallelization can be user configured

code is effectively executed in parallel in C++

code is effectively executed in parallel in Python

#2 - 07/23/2012 02:50 PM - Anonymous

- Status changed from New to In Progress

#3 - 07/28/2012 12:53 AM - Knödlseder Jürgen

- Target version deleted (Stage Jean-Baptiste Cayrou)

#4 - 07/28/2012 12:53 AM - Knödlseder Jürgen

- Target version set to Stage Jean-Baptiste Cayrou

#5 - 07/30/2012 10:28 AM - Anonymous

- Status changed from In Progress to Closed

- Remaining (hours) changed from 35.0 to 0.0

#6 - 07/30/2012 03:42 PM - Anonymous

- % Done changed from 0 to 100
